ZPOOL-LIST(8)

NAME
zpool-list - Lists ZFS storage pools along with a health status and space usage

SYNOPSIS
zpool list [-HgLpPv] [-o property[,property]...] [-T u|d] [pool]... [interval [count]]

DESCRIPTION

    zpool list [-HgLpPv] [-o property[,property]...] [-T u|d] [pool]... [interval [count]] Lists the given pools along with a health status and space usage. If no pools are specified, all pools in the system are listed. When given an interval, the information is printed every interval seconds until ^C is pressed. If count is specified, the command exits after count reports are printed.

    -g  Display vdev GUIDs instead of the normal device names. These GUIDs can be used in place of device names for the zpool detach/offline/remove/replace commands.

    -H  Scripted mode. Do not display headers, and separate fields by a single tab instead of arbitrary space.

    -o property
        Comma-separated list of properties to display. See the zpoolprops manual page for a list of valid properties. The default list is name, size, allocated, free, checkpoint, expandsize, fragmentation, capacity, dedupratio, health, altroot.

    -L  Display real paths for vdevs resolving all symbolic links. This can be used to look up the current block device name regardless of the /dev/disk/ path used to open it.

    -p  Display numbers in parsable (exact) values.

    -P  Display full paths for vdevs instead of only the last component of the path. This can be used in conjunction with the -L flag.

    -T u|d
        Display a time stamp. Specify u for a printed representation of the internal representation of time. See time(2). Specify d for standard date format. See date(1).

    -v  Verbose statistics. Reports usage statistics for individual vdevs within the pool, in addition to the pool-wise statistics.

SEE ALSO
zpool-import(8), zpool-status(8)